
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.entity.CgJsbzEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;
import java.util.List;

/**
 * 科研成果-技术标准 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgJsbzService extends BaseService<CgJsbzEntity> {

	IPage<CgJsbzEntity> selectPageByCondition(IPage<CgJsbzEntity> page, CgJsbzEntity jsbz);

	void export(OutputStream os, List<CgJsbzEntity> list);

	void importCgJsbz(MultipartFile file);

	boolean save(CgJsbzEntity cgJsbz);

	boolean update(CgJsbzEntity cgJsbz);

	boolean physicalDeleteByIds(List<Long> ids);
}
